package me.unurled.sacredrealms.sr.gui;

import static me.unurled.srcore.utils.Component.comp;

import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import org.jetbrains.annotations.NotNull;
import xyz.xenondevs.invui.item.AbstractPagedGuiBoundItem;
import xyz.xenondevs.invui.item.Click;
import xyz.xenondevs.invui.item.ItemBuilder;
import xyz.xenondevs.invui.item.ItemProvider;

public class ForwardItem extends AbstractPagedGuiBoundItem {

  public ForwardItem() {}

  @Override
  public @NotNull ItemProvider getItemProvider(@NotNull Player player) {
    ItemBuilder builder = new ItemBuilder(Material.GREEN_STAINED_GLASS_PANE);
    builder
        .setCustomName(comp("<gray>Next page"))
        .addLoreLines(
            this.getGui().hasNextPage()
                ? comp(
                    "<gray>Go to page §e"
                        + (this.getGui().getPage() + 2)
                        + "§7/§e"
                        + this.getGui().getPageAmount())
                : comp("<red>There are no more pages"));

    return builder;
  }

  @Override
  public void handleClick(
      @NotNull ClickType clickType, @NotNull Player player, @NotNull Click click) {}
}
