package me.unurled.sacredrealms.sr.gui;

import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import org.jetbrains.annotations.NotNull;
import xyz.xenondevs.invui.item.AbstractPagedGuiBoundItem;
import xyz.xenondevs.invui.item.Click;
import xyz.xenondevs.invui.item.ItemBuilder;
import xyz.xenondevs.invui.item.ItemProvider;

public class BackItem extends AbstractPagedGuiBoundItem {

  public BackItem() {}

  @Override
  public @NotNull ItemProvider getItemProvider(@NotNull Player viewer) {
    ItemBuilder builder = new ItemBuilder(Material.RED_STAINED_GLASS_PANE);
    builder
        .setCustomName("§cPrevious Page")
        .addLoreLines(
            this.getGui().hasPreviousPage()
                ? "§7Go to page §e"
                    + this.getGui().getPage()
                    + "§7/§e"
                    + this.getGui().getPageAmount()
                : "§cYou can't go further back");
    return builder;
  }

  @Override
  public void handleClick(
      @NotNull ClickType clickType, @NotNull Player player, @NotNull Click click) {}
}
